> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all concept schemes GET https://cdn.contentful.com/spaces/{space_id}/environments/{environment_id}/taxonomy/concept-schemes Returns all the concepts schemes that exist in a given organization. Reference: https://contentful.com/developers/docs/references/content-delivery-api/taxonomy/get-all-concept-schemes ## Request ### Path parameters - `space_id` (string, required) — ID of the space - `environment_id` (string, required) — ID of the environment ### Query parameters - `limit` (string, optional) — Limits the maximum number of concept schemes returned (per page). - `pageNext` (string, optional) — Pagination cursor from which to return the next page of concept schemes. Alternatively, just call the url at `pages.next` in the previous response. - `pagePrev` (string, optional) — Pagination cursor from which to return the previous page of concept schemes. Alternatively, just use the full url from `pages.prev` in the previous response. - `order` (string, optional) — Options: _sys.createdAt_, _sys.updatedAt_, _prefLabel_ ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [ { "concepts": [ { "sys": { "id": "5YRe68gqRx6QlLyEE00Ue6", "linkType": "TaxonomyConcept", "type": "Link" } } ], "definition": { "en-US": "" }, "prefLabel": { "en-US": "furniture" }, "sys": { "createdAt": "2025-05-01T18:20:52.000Z", "id": "7CzXPy6XvYYd0D7SomitgI", "type": "TaxonomyConceptScheme", "updatedAt": "2025-05-01T18:20:52.000Z", "version": 0 }, "topConcepts": [ { "sys": { "id": "5YRe68gqRx6QlLyEE00Ue6", "linkType": "TaxonomyConcept", "type": "Link" } } ], "totalConcepts": 1, "uri": null } ], "limit": 5, "pages": { "next": "", "prev": "" }, "sys": { "type": "Array" } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' const client = createClient({ space: '', environment: '', // defaults to 'master' if not set accessToken: '' }) client.getConceptSchemes() .then((conceptSchemes) => console.log(conceptSchemes)) .catch(console.error) ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby require 'contentful' client = Contentful::Client.new( space: '', access_token: '', environment: 'master', # Optional - defaults to 'master'. dynamic_entries: :auto # Enables Content Type caching. ) schemes = client.taxonomy_concept_schemes ``` ```python Python from contentful import Client client = Client( '', '', environment='master' # Optional - it defaults to 'master'. ) schemes = client.taxonomy_concept_schemes() ``` ```.net .NET csharp // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulClient(httpClient, "", "", ""); var conceptSchemes = await client.GetTaxonomyConceptSchemes(); ```